apiVersion: apps/v1
kind: Deployment
metadata:
  name: argocd-repo-server
spec:
  template:
    spec:
      automountServiceAccountToken: true
      volumes:
      - name: krm-function-vol
        emptyDir: {}
      initContainers:
      - name: download-tools
        image: alpine:3.8
        env:
        - name: KRM_REPLACEMENT_BINARY
          value: krm-replacement/v1.2.0/krm-replacement
        envFrom:
          - configMapRef:
              name: argocd-env-cm
        command: [sh, -c]
        args:
        - |
          echo install curl
          apk add curl
          echo get https://gitlab.com/api/v4/projects/61444343/packages/generic/$(KRM_REPLACEMENT_BINARY) 
          curl -v -o krm-replacement https://gitlab.com/api/v4/projects/61444343/packages/generic/$(KRM_REPLACEMENT_BINARY)
          echo move krm-replacement into /krm-function/krm-replacement
          mv krm-replacement /krm-function/krm-replacement
          chmod +x /krm-function/krm-replacement
        volumeMounts:
        - mountPath: /krm-function
          name: krm-function-vol
      containers:
      - name: argocd-repo-server
        envFrom:
          - configMapRef:
              name: argocd-env-cm
        volumeMounts:
        - mountPath: /usr/local/bin/krm-replacement
          name: krm-function-vol
          subPath: krm-replacement
